Package org.apache.sysds.runtime.instructions.spark.functions

# Class ExtractBlockForBinaryReblock

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.ExtractBlockForBinaryReblock

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`

public class ExtractBlockForBinaryReblock extends Object implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExtractBlockForBinaryReblock(DataCharacteristics mcIn, DataCharacteristics mcOut)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>`
`call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtractBlockForBinaryReblock

public ExtractBlockForBinaryReblock(DataCharacteristics mcIn, DataCharacteristics mcOut)

## Method Details

### call

public Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`